Skip to main content
POST
/
v1
/
imports
/
contexts
/
{contextId}
/
extraction-reviews
/
{reviewId}
/
approve
Approve an AI extraction review (ingest the candidates)
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/imports/contexts/{contextId}/extraction-reviews/{reviewId}/approve \
  --header 'Authorization: Bearer <token>'
{
  "candidateCount": 123,
  "ingestionJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reviewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Path Parameters

contextId
string<uuid>
required

Context ID

reviewId
string<uuid>
required

Review ID

Response

OK

candidateCount
integer<int64>
required

Number of candidates ingested through the normal pipeline

Example:

12

ingestionJobId
string<uuid>
required

Downstream ingestion job the approved candidates produced

Example:

"550e8400-e29b-41d4-a716-446655440000"

reviewId
string<uuid>
required

Identifier of the approved review

Example:

"550e8400-e29b-41d4-a716-446655440000"